CallbackFilterIterator::accept
DirectoryIterator
CallbackFilterIterator
PHP Manual

# CallbackFilterIterator::__construct

(PHP 5 >= 5.4.0)

CallbackFilterIterator::__construct — Create a filtered iterator from another iterator

### Description

public CallbackFilterIterator::__construct ( Iterator `$iterator` , callable `$callback` )

Creates a filtered iterator using the `callback` to determine which items are accepted or rejected.

### Parameters

`iterator`

  The iterator to be filtered.

`callback`

  The callback, which should return `TRUE` to accept the current item or `FALSE` otherwise. See Examples.

  May be any valid callable value.

### Return Values

No value is returned.

### See Also

- CallbackFilterIterator Examples
- CallbackFilterIterator::accept() - Calls the callback with the current value, the current key and the inner iterator as arguments

CallbackFilterIterator::accept
DirectoryIterator
CallbackFilterIterator
PHP Manual